Skip to main content
PATCH
Update an Integration Hook

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

hook_id
integer
required

The numeric ID of the integration hook

Body

application/json
status
integer

The status of the integration (0 for inactive, 1 for active)

Example:

1

settings
object

The settings required by the integration

Example:

Response

Success

id
string

The ID of the integration hook

app_id
string

The ID of the integration app

inbox_id
string

Inbox ID if its an Inbox integration

account_id
string

Account ID of the integration

status
boolean

Whether the integration hook is enabled for the account

hook_type
boolean

Whether its an account or inbox integration hook

settings
object

The associated settings for the integration